---
updatedAt: 2025-09-18T22:38:09.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# klay_getBlockByNumber

Returns information about a block by block number.

> 📘 Supported on Klaytn (mainnet) only.

## Parameters

**Request**

| Type            | Description                                                                                        |
| --------------- | -------------------------------------------------------------------------------------------------- |
| QUANTITY \| TAG | Integer or hexadecimal block number, or the string `"earliest"`, `"latest"` or `"pending"`         |
| Boolean         | If `true` it returns the full transaction objects, if `false` only the hashes of the transactions. |

NOTE: In versions earlier than Klaytn v1.7.0, only integer block number, the string `"earliest"` and `"latest"` are available.

**Result**

`Object` - A header object, or `error` when no header was found:

| Name             | Type          | Description                                                                                                 |
| ---------------- | ------------- | ----------------------------------------------------------------------------------------------------------- |
| number           | QUANTITY      | The block number. `null` when it is pending block.                                                          |
| parentHash       | 32-byte DATA  | The hash of the parent block.                                                                               |
| logsBloom        | 256-byte DATA | The bloom filter for the logs of the block. `null` when it is pending block.                                |
| transactionsRoot | 32-byte DATA  | The root of the transaction trie of the block.                                                              |
| stateRoot        | 32-byte DATA  | The root of the final state trie of the block.                                                              |
| receiptsRoot     | 32-byte DATA  | The root of the receipts trie of the block.                                                                 |
| reward           | 20-byte DATA  | The address of the beneficiary to whom the block rewards were given.                                        |
| blockScore       | QUANTITY      | Former difficulty. Always 1 in the BFT consensus engine                                                     |
| extraData        | DATA          | The "extra data" field of this block.                                                                       |
| gasUsed          | QUANTITY      | The total used gas by all transactions in this block.                                                       |
| timestamp        | QUANTITY      | The Unix timestamp for when the block was collated.                                                         |
| timestampFoS     | QUANTITY      | The fraction of a second of the timestamp for when the block was collated.                                  |
| governanceData   | DATA          | RLP encoded governance configuration                                                                        |
| voteData         | DATA          | RLP encoded governance vote of the proposer                                                                 |
| baseFeePerGas    | QUANTITY      | The base fee per gas. It has a meaningful value when EthTxTypeCompatible and Magma hardforks are activated. |

## API Endpoint

The format of a Klaytn API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/klaytn/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/klaytn/`

## Example

```shell
// Request
curl https://open-platform.nodereal.io/{{apiKey}}/klaytn/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0","method":"klay_getBlockByNumber","params":["0x1b4", true],"id":1}'

// Result
{
  "jsonrpc":"2.0",
  "id":1,
  "result":{
    "baseFeePerGas":"0x5d21dba00",
    "blockscore":"0x1",
    "extraData":"0xda83010800846b6c617989676f312e31362e31338664617277696e0000000000f89ed5949712f943b296758aaae79944ec975884188d3a96b841ddfdf7e2cb0a93538f757f87f23a93ee35df703c781c6f15e31e4978ecdfb3501fc00924372b9a01df2bc452f2a924c242d83580183d131c47e49a25b78f625201f843b841b9b6034d5a8c5f5b057274cda4f427614cd1f448ee781f4c4322861d1361d09d47d6030f2b69a26cb426db984f54e71f8c112fbf882930ccd715d595e8d8307500",
    "gasUsed":"0x0",
    "governanceData":"0x",
    "hash":"0xe882d7a16f38126dc0c507f990b3fe18fa2d3a380002538581327abe96ca6edc",
    "logsBloom":"0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
    "number":"0x1e67",
    "parentHash":"0x28b1c054346c3bd083741c757a750dcabf94b6d50c7f87158753544e96e73550",
    "receiptsRoot":"0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470",
    "reward":"0x4b2c736fd05c2e2da3ccbd001a395a444f16a861",
    "size":"0x272",
    "stateRoot":"0xdf9885621c9e6e75912ca94d6987bcb1b54fef0e4a99cbec5e68f1ffc7468a78",
    "timestamp":"0x62130beb",
    "timestampFoS":"0x0",
    "totalBlockScore":"0x1e68",
    "transactions":[],
    "transactionsRoot":"0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470",
    "voteData":"0x"
  }
}
```